## Apache Zeta Components Manual :: Docs For Class ezcGraphGdDriverOptions

### Graph::ezcGraphGdDriverOptions

### Class ezcGraphGdDriverOptions

Class containing the extended driver options for the gd driver.

1. $graph=new ezcGraphPieChart ();
2. $graph->palette=new ezcGraphPaletteEzGreen ();
3. $graph->title='Access statistics';
4. $graph->legend=false;
6. $graph->driver=new ezcGraphGdDriver ();
7. $graph->options->font='tutorial_font.ttf';
9. // Generate a Jpeg with lower quality. The default settings result in a better
10. // quality image
11. $graph->driver->options->supersampling=1;
12. $graph->driver->options->jpegQuality=100;
13. $graph->driver->options->imageFormat=IMG_JPEG;
15. $graph->data['Access statistics']=new ezcGraphArrayDataSet (array(
16. 'Mozilla'=>19113,
17. 'Explorer'=>10917,
18. 'Opera'=>1464,
19. 'Safari'=>652,
20. 'Konqueror'=>474,
21. ) );
23. $graph->render(400,200,'tutorial_dirver_gd.jpg');

Source for this file: /Graph/src/options/gd_driver.php

    ezcBaseOptions
       |
       --ezcGraphDriverOptions
          |
          --ezcGraphGdDriverOptions

Version: | //autogentag//

### Properties

string | read/write | `$background` Background image to put the graph on
int | read/write | `$detail` Count of degrees to render one polygon for in circular arcs
bool | read/write | `$forceNativeTTF` Force use of native ttf functions instead of free type 2
int | read/write | `$imageFormat` Type of generated image. Should be one of those: IMG_PNG, IMG_JPEG
float | read/write | `$imageMapResolution` Degree step used to interpolate round image primitives by polygons for image maps
int | read/write | `$jpegQuality` Quality of generated jpeg
string | read/write | `$resampleFunction` Function used to resample / resize images
int | read/write | `$supersampling` Factor of supersampling used to simulate antialiasing

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public void | `__set( $propertyName , $propertyValue )` Set an option value

### Inherited Methods

From ezcGraphDriverOptions
public void | `ezcGraphDriverOptions::__set()` Set an option value
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __set

void __set( string $propertyName , mixed $propertyValue )

Set an option value

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string |
`$propertyValue` | mixed |

##### Exceptions:

Type | Description
--- | ---
`ezcBasePropertyNotFoundException` | If a property is not defined in this class

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphDriverOptions::__set()` | Set an option value

Documentation generated by phpDocumentor 1.4.3